#!/usr/bin/env python

import os
from glob import glob

if os.environ.get('USE_SETUPTOOLS'):
  from setuptools import setup
  setup_kwargs = dict(zip_safe=0)

else:
  from distutils.core import setup
  setup_kwargs = dict()


storage_dirs = [
  ('storage/ceres', []),
  ('storage/whisper', []),
  ('storage/rrd', []),
  ('storage/log', []),
  ('storage/lists', []),
]
conf_files = [
  ('conf', glob('conf/*.example')),
  ('conf/carbon-daemons/example', glob('conf/carbon-daemons/example/*.conf')),
]

setup(
  name='carbon',
  version='0.10.0',
  url='https://launchpad.net/graphite',
  author='Chris Davis',
  author_email='chrismd@gmail.com',
  license='Apache Software License 2.0',
  description='Backend data caching and persistence daemon for Graphite',
  packages=['carbon', 'carbon.aggregator', 'twisted.plugins'],
  package_dir={'' : 'lib'},
  scripts=glob('bin/*'),
  package_data={ 'carbon' : ['*.xml'] },
  data_files=storage_dirs + conf_files + plugin_files,
  install_requires=['twisted'],
  **setup_kwargs
)
